Get Deposit Details
curl --request GET \
--url https://dashu.sa/api/external/getDepositDetailsimport requests
url = "https://dashu.sa/api/external/getDepositDetails"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://dashu.sa/api/external/getDepositDetails', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"result": {
"items": [
{
"id": 123,
"amount": 200.12,
"service_charge": "1.41"
}
],
"deposit_total_amount_without_fees": "200.12",
"deposit_total_service_fees": "1.41"
}
}
{
"success": false,
"code": "2",
"message": "`depositReference` is a required parameter."
}
General Endpoints
Get Deposit Details
Using this endpoint you’ll have the ability to get the entire information of a specific deposit.
GET
/
getDepositDetails
Get Deposit Details
Query Parameters
The API Key of your account.
The deposit reference (you can get it from the
getDeposits endpoint).Set this property to
true to send the request to the development
environment.{
"success": true,
"result": {
"items": [
{
"id": 123,
"amount": 200.12,
"service_charge": "1.41"
}
],
"deposit_total_amount_without_fees": "200.12",
"deposit_total_service_fees": "1.41"
}
}
{
"success": false,
"code": "2",
"message": "`depositReference` is a required parameter."
}
Response properties
A boolean value indicates the response status.
Hide properties
Hide properties
The total amount of the deposit without fees.
The total amount of fees deducted for this deposit.
Error Codes
Here’s a list of possible error codes of this endpoint.| Code | Description |
|---|---|
| 1 | Missing or invalid api key |
| 2 | depositReference is a required parameter. |
⌘I